package _08_有参数有返回值;

public class Test1 {
    public static void main(String[] args) {
        /**
         * 需求：设计一个方法可以获取两个数的较大值，数据来自于参数
         *
         * 需求:定义一个方法，求一家商场每个季度的营业额。根据方法结果再计算出全年营业额
         *
         * 需求: 键盘录入两个圆的半径（整数），比较两个圆的面积。
         * 参数 半径   , 方法结果返回圆的面积
         * 拿两个方法返回值面积比较
         */
//        int max = getMax(1, 2);
//        System.out.println(max);
//        double sum = getSum(5000, 3000, 4000);
//        double sum1 = getSum(6000, 3000, 4000);
//        double sum2 = getSum(5000, 2000, 4000);
//        double sum3 = getSum(1000, 3000, 4000);
//        System.out.println(sum + sum1 + sum2+ sum3);
        double area = getArea(3);
        double area1 = getArea(4);
        if(area > area1){
            System.out.println("第一个圆面积更大为:"+ area);
        }else{
            System.out.println("第二个圆面积更大为:"+ area1);
        }
    }

    /**
     * 求圆的面积
     */
    public static double getArea(double radius){
        return radius * radius * 3.14;
    }

    /**
     * 需求:定义一个方法，求一家商场每个季度的营业额。根据方法结果再计算出全年营业额
     */
    public static double getSum(double month1,double month2,double month3){
        return month1 + month1 + month3;
    }
    /**
     * 求两个数最大值
     */
    public static int getMax(int a , int b){
        if( a > b){
            return a;
        }else{
            return b;
        }
    }
}
